#include "quadrupel.h"
#include "movie.h"
#include "frame.h"

int main(int argc, char **argv)
{
    char *filename = NULL;
    movie_context *movie_ctx = NULL; 
    frame_context *frame_ctx = NULL;
    int i = 0;
    int err = 0;

    if (argc != 2) {
        return -1;
    }

    filename = argv[1];

    // must be called before using any other quadrupel functions
    quadrupel_init();

    movie_ctx = alloc_movie_ctx();

    err = open_movie_file(movie_ctx, filename);

    if (err) {
        printf("Error opening file '%s' Errno: %d\n", filename, err);
        return err;
    }

    if (has_video(movie_ctx)) {
        char *frame_string;

        for (i = 1; i <= 8; i++) {
            printf("Frame: %d\n", i);

            frame_ctx = get_frame(movie_ctx, i);
            if (frame_ctx == NULL) {
                printf("oops!\n");
                exit(-1);
            }

            output_as_string(frame_ctx, &frame_string);

            printf("dimensions w:%d h:%d\n", get_frame_width(frame_ctx),
                    get_frame_height(frame_ctx));
            crop_frame(frame_ctx, 4, 4, 4, 4);

            free(frame_string);

            free_frame_ctx(frame_ctx);
        }

    }

    //export(movie_ctx, "out.flv");
    free_movie_ctx(movie_ctx);
    
    return 0;
}
